%global railsroot %{_datadir}/puppet-dashboard
# VERSION is subbed out during rake srpm process
%global realversion VERSION
%define rpmversion %(echo    %{realversion} | sed -e 's/-/_/g')
%global _name puppet-dashboard-baseline

%global p_vendor        pe
%global ruby_abi_version 1.8

%if 0%{?p_vendor:1}
  %global _orig_prefix %{_prefix}
  %global name_prefix  %{p_vendor}-
  %define _lib lib
  # Override _prefix last, so we can get the _real_* locations.
  %define _prefix /opt/puppet
  %define _libdir %{_prefix}/lib
%endif

Name:           %{?name_prefix}%{_name}
Version:        %{rpmversion}
%if 0%{?p_vendor:1}
Release:        0.1.pe%{?dist}
%else
Release:        0.1%{?dist}
%endif
Summary:        Compliance and baseline functionality for Puppet Dashboard

Group:          Applications/System
#TODO Find out actual license
License:        Commercial
URL:            http://www.puppetlabs.com
Source0:        %{_name}-%{realversion}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  rsync

%if 0%{?p_vendor:1}
BuildRequires:  %{?name_prefix}rubygem(rake)
Requires:       %{?name_prefix}ruby > 1.8.7, %{?name_prefix}puppet-dashboard >= 1.1.9, %{?name_prefix}rubygem(rake)
Requires:       %{?name_prefix}rubygem(ar-extensions), %{?name_prefix}puppet > 2.6.4

%else 
BuildRequires:  rubygem(rake)
Requires:       ruby > 1.8.7, puppet-dashboard >= 1.1.9, rubygem(rake)
Requires:       rubygem(ar-extensions)
%endif

Requires:       crontabs, which
BuildArch:      noarch

%description
This module adds compliance and baseline functionality to Puppet Dashboard,
allowing users to audit and then approve or reject changes to resources.

%prep
%setup -q -n %{_name}-%{realversion}

%build

%install
rm -rf $RPM_BUILD_ROOT
cp -f ext/Makefile .
%if 0%{?p_vendor:1}
  make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/opt/puppet
  cd $RPM_BUILD_ROOT/%{_sysconfdir}/cron.hourly; ln -sf /opt/puppet/share/puppet-dashboard/vendor/plugins/puppet_baseline/ext/baseline_plugin_watchdog.sh puppet_baselines.sh
%else
  make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr
  cd $RPM_BUILD_ROOT/%{_sysconfdir}/cron.hourly; ln -sf /usr/share/puppet-dashboard/vendor/plugins/puppet_baseline/ext/baseline_plugin_watchdog-open.sh puppet_baselines.sh
%endif
find $RPM_BUILD_ROOT -name Makefile  |xargs rm -f

%post

%if 0%{?p_vendor:1}
 echo
%else
echo
echo '********************************************************'
echo '  You must run the database migrations manually. '
echo '     Example: RAILS_ENV=production rake db:migrate      '
echo '  See the manual in: '
echo "     vendor/plugins/puppet_baseline/README.markdown"
echo '********************************************************'
echo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %{railsroot}/vendor/plugins/puppet_baseline/README.markdown
%dir %{railsroot}/vendor/plugins/puppet_baseline
%{railsroot}/config/installed_plugins/puppet_baseline
%{railsroot}/db/migrate/*
%{railsroot}/public/images/*
%{railsroot}/public/javascripts/*
%{railsroot}/public/stylesheets/*
%{railsroot}/vendor/plugins/puppet_baseline/*.rb
%{railsroot}/vendor/plugins/puppet_baseline/Rakefile
%{railsroot}/vendor/plugins/puppet_baseline/app
%{railsroot}/vendor/plugins/puppet_baseline/config
%{railsroot}/vendor/plugins/puppet_baseline/db
%{railsroot}/vendor/plugins/puppet_baseline/ext
%{railsroot}/vendor/plugins/puppet_baseline/lib
%{railsroot}/vendor/plugins/puppet_baseline/public
%{railsroot}/vendor/plugins/puppet_baseline/spec
%config(noreplace) %attr(0755, root, root) %{_sysconfdir}/cron.hourly/*.sh

%changelog
* Mon Jul 04 2011 Michael Stahnke <stahnma@puppetlabs.com> - 0.1.0-1
- Prototype release 
- Remove puppet as a dependency (could be on another node)

* Fri Jul 01 2011 Michael Stahnke <stahnma@puppetlabs.com> - 0.0.0-0
- Initial Package attempt
